package com.clx.settlement.vo.pc;

import com.msl.common.convertor.type.MoneyOutConvert;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;
import java.time.LocalDateTime;


@Getter
@Setter
@NoArgsConstructor
public class OwnerAccountVO {

    private Integer id;
    /**
     * 货主编码
     */
    private String accountNo;
    /**
     * 货主名称
     */
    private String accountName;
    /**
     * 联系电话
     */
    private Integer mobile;
    /**
     * 账户类型;1:保证金 2：预付运费
     */
    private Integer accountType;
    /**
     * 账户余额
     */
    private Decimal accountBalance;
    /**
     * 可用余额
     */
    private Decimal usableBalance;
    /**
     * 冻结金额
     */
    private Decimal frozenBalance;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}